package com.jg.config;

import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.util.List;

/**
 * <p>
 * </p>
 *
 * @author lxp
 * @version V1.0
 * @since 2023/6/2  17:00
 */
@Slf4j
@Data
@Configuration
@ConfigurationProperties("mod-bus.config")
public class ModBusSlaveConfiguration {

    private String modBusHost;
    private Integer modBusPort;
    private Integer slaveId;
    private Integer readTimeout;
    private List<Integer> initValues;
}
