package com.jg.service;

/**
 * <p>
 * </p>
 *
 * @author lxp
 * @version V1.0
 * @since 2023/6/2  15:30
 */
public interface ModBusEventListener {

    /**
     * 读保存寄存器
     * @param offset 偏移
     * @param quantity 数量
     * @return []
     */
    int[] readHoldingRegisterRange(int offset, int quantity);

    int[] readInputRegisterRange(int offset, int quantity);

    void onWriteToSingleCoil(int address, boolean value);

    void onWriteToMultipleCoils(int address, int quantity, boolean[] values);

    void onWriteToSingleHoldingRegister(int address, int value);

    void onWriteToMultipleHoldingRegisters(int address, int quantity, int[] values);
}
